<template>
  <div class="left">
    <div v-show="!leftLayer">
        <div class="leftimg"></div>
        <div class="sanjiao" @click="open"></div>
    </div>
    <div v-show="leftLayer">
        <div class="layerTree">

        </div>
    </div>
  </div>
</template>

<script>
export default {
    data() {
        return {
            leftLayer:false
        }
    },
    methods: {
        open(){
            this.leftLayer = !this.leftLayer
        }
    },
}
</script>

<style lang="less" scoped>
.left{
    position:absolute;
    width: 400px;
    height:100%;
    background-color: rgba(50, 50, 50, 0.6);
    left:0px;
    top:0px;
    z-index: 100000;
    .leftimg{
        width:40px;
        height:100%;
        background-color: aliceblue;
        position:absolute;
        left:0px;
        top:0px;
    }
    .sanjiao{
        height:20px;
        width:40px;
        background-color: aliceblue;
        position:absolute;
        left:40px;
        top:50%;
    }
    .layerTree{
        width:300px;
        height:100%;
        background-color: aliceblue;
        position:absolute;
        left:40px;
        top:0px;
    }
}
</style>